--Hide Minimap Frames
		MinimapBorder:Hide()
		MinimapBorderTop:Hide()
		MinimapZoomIn:Hide()
		MinimapZoomOut:Hide()
		MinimapNorthTag:Hide()
		MiniMapTracking:SetAlpha(0)

for i = 1, 1 do
	if TimeManagerClockButton then
		TimeManagerClockButton:SetAlpha(0)
	end
end

--Minimap
	Minimap:SetFrameStrata("BACKGROUND")
	Minimap:SetMovable(true)
	Minimap:EnableMouse(true)
	Minimap:RegisterForDrag("RightButton")
	Minimap:SetClampedToScreen(true)
	Minimap:SetScale(0.86)
	Minimap:SetMaskTexture('Interface\\ChatFrame\\ChatFrameBackground')
	Minimap:SetPoint("BOTTOMRIGHT", UIParent, "BOTTOMRIGHT")
	Minimap:EnableMouseWheel(true)
	
	Minimap:SetScript("OnMouseWheel", function(mp, input)
	local zoom = Minimap:GetZoom()
		if input > 0 and zoom < 5 then
			mp:SetZoom(zoom +1)
		elseif input < 0 and zoom > 0 then
			mp:SetZoom(zoom -1)
		end
	end)

	Minimap:SetScript("OnDragStart", function(self) 
		if IsAltKeyDown() then 
			Minimap:StartMoving() 
		end 
	end)

	Minimap:SetScript("OnDragStop", function(self) 
		Minimap:StopMovingOrSizing() 
	end)

	MiniMapTracking:ClearAllPoints()
	MiniMapTracking:SetPoint("TOPLEFT", Minimap, "TOPLEFT", 0, 0)

	QueueStatusMinimapButton:ClearAllPoints()
	QueueStatusMinimapButton:SetPoint("CENTER", Minimap, "LEFT", 0, 0)

	MiniMapInstanceDifficulty_AdjustPosition = function() end
	MiniMapInstanceDifficulty:SetParent(UIParent)
	MiniMapInstanceDifficulty:SetScale(0.5)
	MiniMapInstanceDifficulty:ClearAllPoints()
	MiniMapInstanceDifficulty:SetPoint("TOPLEFT", Minimap, "TOPLEFT", 0, 0)

	GuildInstanceDifficulty_AdjustPosition = function() end
	GuildInstanceDifficulty:SetParent(UIParent)
	GuildInstanceDifficulty:SetScale(0.5)
	GuildInstanceDifficulty:ClearAllPoints()
	GuildInstanceDifficulty:SetPoint("TOPLEFT", Minimap, "TOPLEFT", 0, 0)

	MiniMapMailBorder:SetAlpha(0)
	MiniMapMailFrame:SetScale(1.25)
	MiniMapMailFrame:ClearAllPoints()
	MiniMapMailFrame:SetPoint("TOPRIGHT", Minimap, "TOPRIGHT", 7, 5)

	GameTimeFrame:SetAlpha(0)
	GameTimeFrame:ClearAllPoints()
	GameTimeFrame:SetPoint("TOPRIGHT", Minimap, "TOPRIGHT", 0, 0)

	MiniMapWorldMapButton:SetScale(1.5)
	MiniMapWorldMapButton:SetAlpha(0)
	MiniMapWorldMapButton:ClearAllPoints()
	MiniMapWorldMapButton:SetPoint("TOP", Minimap, "TOP", 0, 10)

	MiniMapRecordingBorder:SetAlpha(0)
	MiniMapRecordingButton:ClearAllPoints()
	MiniMapRecordingButton:SetPoint("BOTTOMLEFT", Minimap, "BOTTOMLEFT", 0, 0)

--Zone Text
local zoneframe = CreateFrame("Frame", nil, UIParent)
	zoneframe:SetFrameStrata("HIGH")
	zoneframe:SetWidth(100)
	zoneframe:SetHeight(26)
	zoneframe:SetPoint("TOP", Minimap, "TOP")
	zoneframe:Show()

	MinimapZoneTextButton:ClearAllPoints()
	MinimapZoneTextButton:SetPoint("TOP", zoneframe, "TOP", 0, 0)
	MinimapZoneTextButton:SetFrameStrata("HIGH")
	
--Clock
local use24hformat = false

local mmclock = CreateFrame("Frame", nil, UIParent)
	mmclock:SetFrameStrata("MEDIUM")
	mmclock:SetWidth(100)
	mmclock:SetHeight(26)
	mmclock:SetPoint("BOTTOM", Minimap, "BOTTOM", 0, 0)
	mmclock:Show()

local clockFS = mmclock:CreateFontString("FontString","OVERLAY","GameTooltipText")

	clockFS:SetPoint("BOTTOM",mmclock,"BOTTOM",0,0)

local elapsed = 0
	mmclock:SetScript("OnUpdate", function(self, e)
	   elapsed = elapsed + e
	   if elapsed >= 1 then
		   MinimapClockRefresh()
		   elapsed = 0
	   end
end)

	mmclock:SetScript("OnEvent", function()
		   clockFS:SetTextColor(1, 1, 1);
		   MinimapClockRefresh()
	end)

function MinimapClockRefresh()
	if use24hformat then
		clockFS:SetFont("Fonts\\FRIZQT__.TTF", 12, "THINOUTLINE")
		clockFS:SetText(date("%H:%M"))
	else
		clockFS:SetFont("Fonts\\FRIZQT__.TTF", 12, "THINOUTLINE")
		clockFS:SetText(("%d:%s"):format(tonumber(date("%I")),((date("%M%p")))))
	end
end

--Coordinates
local coordframe = CreateFrame("Frame", nil, UIParent)
	coordframe:SetFrameStrata("MEDIUM")
	coordframe:SetWidth(100)
	coordframe:SetHeight(26)
	coordframe:SetPoint("TOP", MinimapZoneTextButton, "BOTTOM", 0, 0)
	coordframe:Show()

local elapsed = 0
local coordframeFS = coordframe:CreateFontString("FontString","OVERLAY","GameTooltipText")
local coordFS = coordframe:CreateFontString("FontString","OVERLAY","GameTooltipText")
function coordRefresh()
	local posX, posY = GetPlayerMapPosition("player")
		coordFS:SetFont("Fonts\\FRIZQT__.TTF", 12, "THINOUTLINE")
		coordFS:SetFormattedText("%.1f, %.1f", posX*100, posY*100)
end

	coordFS:SetPoint("TOP",coordframe,"TOP",0,0)

	coordframe:SetScript("OnEvent", function()
		   coordFS:SetTextColor(1, 1, 1);
		   coordRefresh()
	end)
	
	coordframe:SetScript("OnUpdate", function(self, e)
	   elapsed = elapsed + e
	   if elapsed >= 1 then
		   coordRefresh()
		   elapsed = 0
	   end
	end)